Bug 2016101 (CVE-2021-35604) - CVE-2021-35604 mysql: InnoDB unspecified vulnerability (CPU Oct 2021)
Summary: CVE-2021-35604 mysql: InnoDB unspecified vulnerability (CPU Oct 2021)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-35604
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2016141 2016142 2018324 2018325 2018326 2021179 2021180 2021181 2021182 2021183 2021184 2021185 2021186 2021187 2021189 2050534 2050535 2050536 2050537 2055836 2055837 2079860 2088296
Blocks: 2016154
TreeView+ depends on / blocked
 
Reported: 2021-10-20 18:39 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-10-25 09:15 UTC (History)
19 users (show)

Fixed In Version: mysql 5.7.36, mysql 8.0.27, mariadb 10.6.3, mariadb 10.5.13, mariadb 10.4.22, mariadb 10.3.32, mariadb 10.2.41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-27 02:16:32 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1007 0 None None None 2022-03-22 10:19:59 UTC
Red Hat Product Errata RHSA-2022:1010 0 None None None 2022-03-22 12:27:28 UTC
Red Hat Product Errata RHSA-2022:1556 0 None None None 2022-04-26 17:29:30 UTC
Red Hat Product Errata RHSA-2022:1557 0 None None None 2022-04-26 17:30:03 UTC
Red Hat Product Errata RHSA-2022:4818 0 None None None 2022-05-31 12:16:16 UTC
Red Hat Product Errata RHSA-2022:6518 0 None None None 2022-09-14 13:45:23 UTC
Red Hat Product Errata RHSA-2022:7119 0 None None None 2022-10-25 09:15:21 UTC

Description Guilherme de Almeida Suckevicz 2021-10-20 18:39:42 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: InnoDB). Supported versions that are affected are 5.7.35 and prior and 8.0.26 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server as well as unauthorized update, insert or delete access to some of MySQL Server accessible data.

External References:

http://www.oracle.com/security-alerts/cpuoct2021.html#AppendixMSQL

Comment 1 Guilherme de Almeida Suckevicz 2021-10-20 18:53:42 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 2016141]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 2016142]

Comment 3 Tomas Hoger 2021-11-08 14:01:41 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-33 [bug 2021179]
Affects: fedora-34 [bug 2021180]


Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2021181]


Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2021182]


Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2021183]

Comment 6 errata-xmlrpc 2022-03-22 10:19:56 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:1007 https://access.redhat.com/errata/RHSA-2022:1007

Comment 7 errata-xmlrpc 2022-03-22 12:27:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:1010 https://access.redhat.com/errata/RHSA-2022:1010

Comment 8 errata-xmlrpc 2022-04-26 17:29:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1556 https://access.redhat.com/errata/RHSA-2022:1556

Comment 9 errata-xmlrpc 2022-04-26 17:30:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1557 https://access.redhat.com/errata/RHSA-2022:1557

Comment 10 Product Security DevOps Team 2022-04-27 02:16:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-35604

Comment 11 errata-xmlrpc 2022-05-31 12:16:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:4818 https://access.redhat.com/errata/RHSA-2022:4818

Comment 12 errata-xmlrpc 2022-09-14 13:45:20 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6518 https://access.redhat.com/errata/RHSA-2022:6518

Comment 13 errata-xmlrpc 2022-10-25 09:15:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7119 https://access.redhat.com/errata/RHSA-2022:7119


Note You need to log in before you can comment on or make changes to this bug.